#
# spec file for package PgTcl
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           PgTcl
BuildRequires:  postgresql-devel
BuildRequires:  tcl-devel
Summary:        Tcl Client Library for PostgreSQL
License:        MIT
Version:        1.7
Release:        13.4
URL:            http://pgfoundry.org/projects/pgtcl/
Source0:        libpgtcl-%version.tar.gz
Patch0:         pgtcl-stubs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libpgtcl client library as a loadable Tcl
package. It is needed to access PostgreSQL databases from Tcl scripts.

%prep
%autosetup -p1 -n libpgtcl-%version

%build
CFLAGS=-DUSE_INTERP_ERRORLINE
%configure \
        --libdir=%tcl_archdir \
	--with-tcl=%_libdir \
	--with-postgres-include=%_includedir/pgsql \
	--with-postgres-lib=%_libdir
make %{?_smp_mflags}

%install
make install-binaries install-libraries PKG_HEADERS= DESTDIR=%buildroot

%files
%defattr(-,root,root,-)
%doc ChangeLog README README.async TODO
%doc doc/PGTCL-NOTES doc/libpgtcl.pdf doc/html
%tcl_archdir

%changelog
* Wed May 15 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro: allows us to eliminate usage of deprecated
  %%patchN syntax.
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Wed Oct  2 2013 max@suse.com
- Avoid an unneeded explicit dependency on a certain version of
  libtcl (pgtcl-stubs.patch).
* Wed Jul 31 2013 max@suse.com
- Set -DUSE_INTERP_ERRORLINE to fix build with Tcl 8.6.
* Wed Jan 11 2012 max@suse.com
- Update to version 1.7 to fix an issue with Tcl 8.5 (bnc#739978).
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 max@suse.de
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
* Thu Jul 28 2005 max@suse.de
- New version: 1.5.
- Move script library to /usr/share/tcl .
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Fri Jul  2 2004 max@suse.de
- Updated to the final 1.4 release.
* Thu Apr  1 2004 max@suse.de
- Added heimdal-lib to neededforbuild to fix the creation
  of pkgIndex.tcl.
* Fri Mar  5 2004 max@suse.de
- Added patch to current CVS head.
* Tue Nov 18 2003 max@suse.de
- Enabled building as a non-root user.
* Mon Jan 27 2003 max@suse.de
- Renamed from postgresql-tcl to PgTcl.
- New version: 1.4b3
- This becomes a package of it's own, because libpgtcl
  has become a separate project.
